Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email
Class SmtpsConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.email.AbstractMailConnector
              org.mule.transport.email.SmtpConnector
                  org.mule.transport.email.SmtpsConnector

All Implemented Interfaces:
  EventListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, TlsIndirectKeyStore, TlsIndirectTrustStore, Connectable, Connector

    public class SmtpsConnector

extends SmtpConnector
implements TlsIndirectTrustStore, TlsIndirectKeyStore

Creates a secure SMTP connection

Field Summary
`static int` | `DEFAULT_SMTPS_PORT`
`static String` | `DEFAULT_SOCKET_FACTORY`
`static String` | `SMTPS`

Fields inherited from class org.mule.transport.email.SmtpConnector
`DEFAULT_CONTENT_TYPE, DEFAULT_SMTP_HOST, DEFAULT_SMTP_PORT, SMTP`

Fields inherited from class org.mule.transport.email.AbstractMailConnector
`ATTACHMENT_HEADERS_PROPERTY_POSTFIX, MAILBOX`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, PROPERTY_POLLING_FREQUENCY, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`SmtpsConnector(MuleContext context)`

Method Summary
`protected void` | `doInitialise()`
`protected void` | `extendPropertiesForSession(Properties global, Properties local, URLName url)` Subclasses should extend this to add further properties.
`String` | `getBaseProtocol()` Some protocols (eg secure extensions) extend a "base" protocol.
`String` | `getClientKeyStore()`
`String` | `getClientKeyStorePassword()`
`String` | `getClientKeyStoreType()`
`String` | `getProtocol()`
`String` | `getSocketFactory()`
`String` | `getSocketFactoryFallback()`
`String` | `getTrustStore()`
`String` | `getTrustStorePassword()`
`void` | `setClientKeyStore(String name)`
`void` | `setClientKeyStorePassword(String clientKeyStorePassword)`
`void` | `setClientKeyStoreType(String clientKeyStoreType)`
`void` | `setSocketFactory(String sslSocketFactory)`
`void` | `setSocketFactoryFallback(String socketFactoryFallback)`
`void` | `setTrustStore(String trustStore)`
`void` | `setTrustStorePassword(String trustStorePassword)`

Methods inherited from class org.mule.transport.email.SmtpConnector
`createReceiver, getBccAddresses, getCcAddresses, getContentType, getCustomHeaders, getDefaultPort, getFromAddress, getReplyToAddresses, getSubject, setBccAddresses, setCcAddresses, setContentType, setCustomHeaders, setFromAddress, setReplyToAddresses, setSubject`

Methods inherited from class org.mule.transport.email.AbstractMailConnector
`doConnect, doDisconnect, doDispose, doStart, doStop, dumpProperties, getAuthenticator, getMailboxFolder, getSessionDetails, newSession, setAuthenticator, setMailboxFolder, urlFromEndpoint`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceiverKey, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isResponseEnabled, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SMTPS

    public static final String SMTPS

See Also:
  Constant Field Values

### DEFAULT_SOCKET_FACTORY

    public static final String DEFAULT_SOCKET_FACTORY

### DEFAULT_SMTPS_PORT

    public static final int DEFAULT_SMTPS_PORT

See Also:
  Constant Field Values

Constructor Detail

### SmtpsConnector

    public SmtpsConnector(MuleContext context)

Method Detail

### getProtocol

    public String getProtocol()

  Specified by:
    `getProtocol` in interface `Connector`
  Overrides:
    `getProtocol` in class `SmtpConnector`
  Returns:
    the primary protocol name for endpoints of this connector

### getBaseProtocol

    public String getBaseProtocol()

  Description copied from class: `AbstractMailConnector`
  Some protocols (eg secure extensions) extend a "base" protocol. Subclasses for such protocols should override this method.

  Overrides:
    `getBaseProtocol` in class `AbstractMailConnector`
  Returns:
    the underlying (eg non-secure) protocol

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Overrides:
    `doInitialise` in class `AbstractMailConnector`
  Throws:
    `InitialisationException`

### extendPropertiesForSession

    protected void extendPropertiesForSession(Properties global,
                                              Properties local,
                                              URLName url)

  Description copied from class: `AbstractMailConnector`
  Subclasses should extend this to add further properties. Synchronization is managed outside this call (so no need to synchronize further on properties)

  Overrides:
    `extendPropertiesForSession` in class `AbstractMailConnector`
  Parameters:
    `global` - system properties
    `local` - local properties (specific to one session)
    `url` - the endpoint url

### getSocketFactory

    public String getSocketFactory()

### setSocketFactory

    public void setSocketFactory(String sslSocketFactory)

### getSocketFactoryFallback

    public String getSocketFactoryFallback()

### setSocketFactoryFallback

    public void setSocketFactoryFallback(String socketFactoryFallback)

### getTrustStore

    public String getTrustStore()

  Specified by:
    `getTrustStore` in interface `TlsIndirectTrustStore`
  Returns:
    The location (resolved relative to the current classpath and file system, if possible) of the keystore that contains public certificates of trusted servers.

### getTrustStorePassword

    public String getTrustStorePassword()

  Specified by:
    `getTrustStorePassword` in interface `TlsIndirectTrustStore`
  Returns:
    The password used to protected the trust store defined in `TlsIndirectTrustStore.getTrustStore()`

### setTrustStore

    public void setTrustStore(String trustStore)
                       throws IOException

  Specified by:
    `setTrustStore` in interface `TlsIndirectTrustStore`
  Parameters:
    `trustStore` - The location of the keystore that contains public certificates of trusted servers.
  Throws:
    `IOException` - If the location cannot be resolved via the file system or classpath

### setTrustStorePassword

    public void setTrustStorePassword(String trustStorePassword)

  Specified by:
    `setTrustStorePassword` in interface `TlsIndirectTrustStore`
  Parameters:
    `trustStorePassword` - The password used to protected the trust store defined in `TlsIndirectTrustStore.setTrustStore(String)`

### getClientKeyStore

    public String getClientKeyStore()

  Specified by:
    `getClientKeyStore` in interface `TlsIndirectKeyStore`
  Returns:
    The location (resolved relative to the current classpath and file system, if possible) of the keystore that contains public certificates and private keys for identification.

### getClientKeyStorePassword

    public String getClientKeyStorePassword()

  Specified by:
    `getClientKeyStorePassword` in interface `TlsIndirectKeyStore`
  Returns:
    The password used to protect the keystore itself

### getClientKeyStoreType

    public String getClientKeyStoreType()

  Specified by:
    `getClientKeyStoreType` in interface `TlsIndirectKeyStore`
  Returns:
    The type of keystore used in `TlsIndirectKeyStore.setClientKeyStore(String)`

### setClientKeyStore

    public void setClientKeyStore(String name)
                           throws IOException

  Specified by:
    `setClientKeyStore` in interface `TlsIndirectKeyStore`
  Parameters:
    `name` - The location of the keystore that contains public certificates and private keys for identification.
  Throws:
    `IOException` - If the location cannot be resolved via the file system or classpath

### setClientKeyStorePassword

    public void setClientKeyStorePassword(String clientKeyStorePassword)

  Specified by:
    `setClientKeyStorePassword` in interface `TlsIndirectKeyStore`
  Parameters:
    `clientKeyStorePassword` - The password used to protect the keystore itself

### setClientKeyStoreType

    public void setClientKeyStoreType(String clientKeyStoreType)

  Specified by:
    `setClientKeyStoreType` in interface `TlsIndirectKeyStore`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.